%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# disable tests because they're failing in mock

Name:       nodejs-colors
Version:    1.1.2
Release:    2%{?dist}
Summary:    Get colors in your Node.js console
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/Marak/colors.js
Source0:    http://registry.npmjs.org/colors/-/colors-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm
%endif

%description
%{summary}.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/colors
cp -pr package.json *.js lib/ themes/ \
    %{buildroot}%{nodejs_sitelib}/colors

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
npm test
%endif


%files
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/colors


%changelog
* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-2
- Fix self-test

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.2-1
- update to upstream release 0.6.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-3
- fix compatible arches for f18/el6

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.0-2
- rebuild for missing npm(colors) provides on EL6
- restrict to compatible arches

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-1
- initial package
